CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS(3)

NAME
CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS -

SYNOPSIS

Detailed Description

External semaphore signal parameters

Field Documentation

  void* CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::fence

Pointer to NvSciSyncFence. Valid if CUexternalSemaphoreHandleType is of type CU_EXTERNAL_SEMAPHORE_HANDLE_TYPE_NVSCISYNC.

  struct { ... } CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::fence

Parameters for fence objects

  unsigned long long CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::key

Value of key to release the mutex with

  struct { ... } CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::keyedMutex

Parameters for keyed mutex objects

  unsigned long long CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::value

Value of fence to be signaled

Author

Generated automatically by Doxygen from the source code.